Package net.rubygrapefruit.platform.internal.jni

# Class WindowsRegistryFunctions

java.lang.Object
net.rubygrapefruit.platform.internal.jni.WindowsRegistryFunctions

public class WindowsRegistryFunctions extends Object

## Constructor Summary

Constructors
Constructor
Description
`WindowsRegistryFunctions()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getStringValue(int key, String subkey, String value, FunctionResult result)`
`static boolean`
`getSubkeys(int key, String subkey, List<String> subkeys, FunctionResult result)`
`static boolean`
`getValueNames(int key, String subkey, List<String> names, FunctionResult result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WindowsRegistryFunctions

public WindowsRegistryFunctions()

## Method Details

### getStringValue

public static String getStringValue(int key, String subkey, String value, FunctionResult result)

### getSubkeys

public static boolean getSubkeys(int key, String subkey, List<String> subkeys, FunctionResult result)

### getValueNames

public static boolean getValueNames(int key, String subkey, List<String> names, FunctionResult result)